;;;; sparse-vectors-extras-test.scm

(import utf8)
(import test)

;;;

(test-begin "Sparse Vectors Extras")

(import sparse-vectors (sparse-vectors debug) (sparse-vectors extras))

(test-group "Extras"
  (let ((h1 (make-sparse-vector #f 8))
        (std (expt 10 7)) )
    (test-assert (sparse-vector-reserve! h1 std))
    (test '(39217 3 256) (receive (sparse-vector-info h1)))
    (test-assert (sparse-vector-reserve! h1 (* 2 std) std))
    (test '(78434 4 256) (receive (sparse-vector-info h1))) )
)

;;;

(test-end "Sparse Vectors Extras")

(test-exit)
